Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.meta
Class XMLMetaDataParser

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--com.solarmetric.meta.XMLMetaDataParser

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, MetaDataParser

Direct Known Subclasses:
  CFMetaDataParser

public abstract synchronized class XMLMetaDataParser
extends DefaultHandler
implements MetaDataParser

Constructor Summary
`XMLMetaDataParser()`

Method Summary
`protected void` | `addResult(Object)`
`void` | `characters(char[], int, int)`
`void` | `clear()`
`protected ClassLoader` | `currentClassLoader()`
`protected abstract void` | `endElement(String)`
`void` | `endElement(String, String, String)`
`void` | `error(SAXParseException)`
`void` | `fatalError(SAXParseException)`
`URL` | `findMetaData(Class)`
`protected void` | `finish()`
`ClassLoader` | `getClassLoader()`
`protected String` | `getCurrentLocation()`
`protected Reader` | `getDocType()`
`protected String` | `getExpectedRootName()`
`protected abstract String` | `getExtension()`
`protected LexicalHandler` | `getLexicalHandler()`
`Location` | `getLocation()`
`Log` | `getLog()`
`boolean` | `getParseText()`
`Collection` | `getResults()`
`protected File` | `getSourceFile()`
`boolean` | `getSourceIsSystemId()`
`protected String` | `getSourceName()`
`protected String` | `getText()`
`boolean` | `isValidating()`
`void` | `parse(Class)`
`void` | `parse(File)`
`void` | `parse(Reader, String)`
`void` | `parse(URL)`
`protected void` | `parseNew(Reader, String)`
`protected void` | `reset()`
`void` | `setClassLoader(ClassLoader)`
`void` | `setDocumentLocator(Locator)`
`void` | `setLocation(Location)`
`void` | `setLog(Log)`
`void` | `setParseText(boolean)`
`void` | `setSourceIsSystemId(boolean)`
`void` | `setValidating(boolean)`
`protected abstract void` | `startElement(String, Attributes)`
`void` | `startElement(String, String, String, Attributes)`
`protected void` | `throwException(String)`
`protected void` | `throwException(String, Exception)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLMetaDataParser

    public XMLMetaDataParser()

Method Detail

### getParseText

    public boolean getParseText()

### setParseText

    public void setParseText(boolean)

### getSourceIsSystemId

    public boolean getSourceIsSystemId()

### setSourceIsSystemId

    public void setSourceIsSystemId(boolean)

### getClassLoader

    public ClassLoader getClassLoader()

### setClassLoader

    public void setClassLoader(ClassLoader)

### currentClassLoader

    protected ClassLoader currentClassLoader()

### isValidating

    public boolean isValidating()

  Specified by:
    `isValidating` in interface `MetaDataParser`

### setValidating

    public void setValidating(boolean)

  Specified by:
    `setValidating` in interface `MetaDataParser`

### getLexicalHandler

    protected LexicalHandler getLexicalHandler()

### getLog

    public Log getLog()

  Specified by:
    `getLog` in interface `MetaDataParser`

### setLog

    public void setLog(Log)

  Specified by:
    `setLog` in interface `MetaDataParser`

### getResults

    public Collection getResults()

  Specified by:
    `getResults` in interface `MetaDataParser`

### setDocumentLocator

    public void setDocumentLocator(Locator)

  Overrides:
    `setDocumentLocator` in class `DefaultHandler`

### getLocation

    public Location getLocation()

### setLocation

    public void setLocation(Location)

### findMetaData

    public URL findMetaData(Class)

### parse

    public void parse(Class)
               throws IOException

  Specified by:
    `parse` in interface `MetaDataParser`

### parse

    public void parse(URL)
               throws IOException

  Specified by:
    `parse` in interface `MetaDataParser`

### parse

    public void parse(File)
               throws IOException

  Specified by:
    `parse` in interface `MetaDataParser`

### parse

    public void parse(Reader,
                      String)
               throws IOException

  Specified by:
    `parse` in interface `MetaDataParser`

### parseNew

    protected void parseNew(Reader,
                            String)
                     throws IOException

### clear

    public void clear()

  Specified by:
    `clear` in interface `MetaDataParser`

### error

    public void error(SAXParseException)
               throws SAXException

  Overrides:
    `error` in class `DefaultHandler`

### fatalError

    public void fatalError(SAXParseException)
                    throws SAXException

  Overrides:
    `fatalError` in class `DefaultHandler`

### startElement

    public void startElement(String,
                             String,
                             String,
                             Attributes)
                      throws SAXException

  Overrides:
    `startElement` in class `DefaultHandler`

### endElement

    public void endElement(String,
                           String,
                           String)
                    throws SAXException

  Overrides:
    `endElement` in class `DefaultHandler`

### characters

    public void characters(char[],
                           int,
                           int)

  Overrides:
    `characters` in class `DefaultHandler`

### startElement

    protected abstract void startElement(String,
                                         Attributes)
                                  throws SAXException

### endElement

    protected abstract void endElement(String)
                                throws SAXException

### getExtension

    protected abstract String getExtension()

### addResult

    protected void addResult(Object)

### finish

    protected void finish()

### reset

    protected void reset()

### getDocType

    protected Reader getDocType()
                         throws IOException

### getExpectedRootName

    protected String getExpectedRootName()

### getText

    protected String getText()

### getSourceName

    protected String getSourceName()

### getSourceFile

    protected File getSourceFile()

### getCurrentLocation

    protected String getCurrentLocation()

### throwException

    protected void throwException(String)
                           throws SAXException

### throwException

    protected void throwException(String,
                                  Exception)
                           throws SAXException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.